/*
 *  File : snippet_part.h
 *
 *  Author: Robert Gruber <rgruber@users.sourceforge.net>
 *
 *  Copyright: See COPYING file that comes with this distribution
 */


#ifndef __KDEVPART_SNIPPET_H__
#define __KDEVPART_SNIPPET_H__


#include <tqguardedptr.h>
#include <kdevplugin.h>


class SnippetWidget;
class TDEAboutData;
class KDialogBase;

/*
This is the KDevPlugin for the CodeSnippet feature
For more info read the README.dox file
@author Robert Gruber
*/
class SnippetPart : public KDevPlugin
{
  Q_OBJECT
  

public:

  SnippetPart(TQObject *parent, const char *name, const TQStringList &);
  ~SnippetPart();
  TDEAboutData * aboutData();
    TQStringList getAllLanguages();
    TQStringList getProjectLanguages();

private:
  void setupActions();

  TQGuardedPtr<SnippetWidget> m_widget;

public slots:
  void slotConfigWidget( KDialogBase *dlg );
  void slotShowView();
};


#endif
